WP5SpecialHeaderIndex Class Reference

`#include <WP5SpecialHeaderIndex.h>`

## Public Member Functions

| WP5SpecialHeaderIndex (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned short | getType () const
unsigned short | getNumOfIndexes () const
unsigned short | getIndexBlockSize () const
unsigned | getNextBlockOffset () const

## Protected Member Functions

void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes

unsigned short | m_type
unsigned short | m_numOfIndexes
unsigned short | m_indexBlockSize
unsigned | m_nextBlockOffset

## Constructor & Destructor Documentation

## WP5SpecialHeaderIndex()

WP5SpecialHeaderIndex::WP5SpecialHeaderIndex | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## Member Function Documentation

## _read()

void WP5SpecialHeaderIndex::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

protected

Referenced by WP5SpecialHeaderIndex().

## getIndexBlockSize()

unsigned short WP5SpecialHeaderIndex::getIndexBlockSize | ( |  | ) | const

inline

Referenced by WP5PrefixData::WP5PrefixData().

## getNextBlockOffset()

unsigned WP5SpecialHeaderIndex::getNextBlockOffset | ( |  | ) | const

inline

Referenced by WP5PrefixData::WP5PrefixData().

## getNumOfIndexes()

unsigned short WP5SpecialHeaderIndex::getNumOfIndexes | ( |  | ) | const

inline

Referenced by WP5PrefixData::WP5PrefixData().

## getType()

unsigned short WP5SpecialHeaderIndex::getType | ( |  | ) | const

inline

Referenced by WP5PrefixData::WP5PrefixData().

## Member Data Documentation

## m_indexBlockSize

unsigned short WP5SpecialHeaderIndex::m_indexBlockSize

private

Referenced by _read(), getIndexBlockSize(), and WP5SpecialHeaderIndex().

## m_nextBlockOffset

unsigned WP5SpecialHeaderIndex::m_nextBlockOffset

private

Referenced by _read(), getNextBlockOffset(), and WP5SpecialHeaderIndex().

## m_numOfIndexes

unsigned short WP5SpecialHeaderIndex::m_numOfIndexes

private

Referenced by _read(), getNumOfIndexes(), and WP5SpecialHeaderIndex().

## m_type

unsigned short WP5SpecialHeaderIndex::m_type

private

Referenced by _read(), getType(), and WP5SpecialHeaderIndex().

The documentation for this class was generated from the following files:

- WP5SpecialHeaderIndex.h
- WP5SpecialHeaderIndex.cpp